---
title: Presenter Output 
---

### Presenter Output

This section will show you how to use the decorated value provided by the `\Anomaly\TextFieldType\TextFieldTypePresenter` class.

#### TextFieldTypePresenter::tel()[](#usage/presenter-output/textfieldtypepresenter-tel)

The `tel` method returns an HTML tel link.

###### Returns: `string`

###### Arguments

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Required</th>

<th>Type</th>

<th>Default</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

$text

</td>

<td>

false

</td>

<td>

string

</td>

<td>

The phone number as entered.

</td>

<td>

The text of the link.

</td>

</tr>

<tr>

<td>

$attributes

</td>

<td>

false

</td>

<td>

array

</td>

<td>

null

</td>

<td>

The HTML attributes of the link.

</td>

</tr>

</tbody>

</table>

###### Example

    $decorated->example->tel('Call me!', ['class'
     => 'btn btn-success']);

###### Twig

    {{ decorated.example.tel('Call me!'<
    span class="token punctuation">, {'class': 'btn btn-success'})|raw }}

#### TextFieldTypePresenter::sms()[](#usage/presenter-output/textfieldtypepresenter-sms)

The `sms` method returns an HTML sms link.

###### Returns: `string`

###### Arguments

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Required</th>

<th>Type</th>

<th>Default</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

$text

</td>

<td>

false

</td>

<td>

string

</td>

<td>

The phone number as entered.

</td>

<td>

The text of the link.

</td>

</tr>

<tr>

<td>

$attributes

</td>

<td>

false

</td>

<td>

array

</td>

<td>

null

</td>

<td>

The HTML attributes of the link.

</td>

</tr>

</tbody>

</table>

###### Example

    $decorated->example->sms('Text me!', ['class'
     => 'btn btn-success']);

###### Twig

    {{ decorated.example.sms('Text me!'<
    span class="token punctuation">, {'class': 'btn btn-success'})|raw }}
